commit:     750bad25025eca61ec7d066989216f0cf03284e2
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 31 15:55:41 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec 31 16:01:07 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=750bad25

net-proxy/mitmproxy: Bump to 11.0.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-proxy/mitmproxy/Manifest                |  1 +
 net-proxy/mitmproxy/mitmproxy-11.0.2.ebuild | 86 +++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/net-proxy/mitmproxy/Manifest b/net-proxy/mitmproxy/Manifest
index a9f0d25fdf3f..934150c80064 100644
--- a/net-proxy/mitmproxy/Manifest
+++ b/net-proxy/mitmproxy/Manifest
@@ -1 +1,2 @@
+DIST mitmproxy-11.0.2.gh.tar.gz 31029894 BLAKE2B 
b43ca5739fdb165aa30afa9d6eb5e8b205dfe5f3fdfed19393f1cf37d6c5a17fdacd5cf252ec8732f243652e918c6b75110677294c594109d61c51e7c0b02352
 SHA512 
483ac0ce3df39bf718a6762dceda0a0e3357734cf3678be87b01d489ad2f8fa7e2d8727b9db7470e4e6c8c5996bbf7641dfd1319aa5844f793d408870d6bb5ff
 DIST mitmproxy-9.0.1.gh.tar.gz 29461514 BLAKE2B 
291f9846afde35e70a3e900de811d8bd83cdd604ac4a43dbb3d0763d7326d7bdcfc37a0eddc8bf4a145963a61dc9d9956265afad2f9255a993e821ebd7a78b09
 SHA512 
601d9171f48d93fbc6f002a1dc243c2f358186059e491490ffe5ab7be797e8e622fdb5a9e2fdab10fac7350057f9e9491952527d600477c841c9b5102a045bc1

diff --git a/net-proxy/mitmproxy/mitmproxy-11.0.2.ebuild 
b/net-proxy/mitmproxy/mitmproxy-11.0.2.ebuild
new file mode 100644
index 000000000000..c9e7901fd19e
--- /dev/null
+++ b/net-proxy/mitmproxy/mitmproxy-11.0.2.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="An interactive, SSL-capable, man-in-the-middle HTTP proxy"
+HOMEPAGE="
+       https://mitmproxy.org/
+       https://github.com/mitmproxy/mitmproxy/
+       https://pypi.org/project/mitmproxy/
+"
+SRC_URI="
+       https://github.com/mitmproxy/mitmproxy/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       >=app-arch/brotli-1.0.0[python,${PYTHON_USEDEP}]
+       >=dev-python/aioquic-1.1.0[${PYTHON_USEDEP}]
+       >=dev-python/asgiref-3.2.10[${PYTHON_USEDEP}]
+       >=dev-python/certifi-2019.9.11[${PYTHON_USEDEP}]
+       >=dev-python/cryptography-42.0[${PYTHON_USEDEP}]
+       >=dev-python/flask-3.0[${PYTHON_USEDEP}]
+       >=dev-python/h2-4.1.0[${PYTHON_USEDEP}]
+       >=dev-python/hyperframe-6.0.0[${PYTHON_USEDEP}]
+       >=dev-python/kaitaistruct-0.10[${PYTHON_USEDEP}]
+       >=dev-python/ldap3-2.8[${PYTHON_USEDEP}]
+       >=net-proxy/mitmproxy-rs-0.10.7[${PYTHON_USEDEP}]
+       >=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/passlib-1.6.5[${PYTHON_USEDEP}]
+       >=dev-python/publicsuffix2-2.20190812[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-22.1[${PYTHON_USEDEP}]
+       >=dev-python/pyparsing-2.4.2[${PYTHON_USEDEP}]
+       >=dev-python/pyperclip-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/ruamel-yaml-0.16[${PYTHON_USEDEP}]
+       >=dev-python/sortedcontainers-2.3.0[${PYTHON_USEDEP}]
+       >=dev-python/tornado-6.4.1[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/typing-extensions-4.3[${PYTHON_USEDEP}]
+       ' 3.10)
+       >=dev-python/urwid-2.6.14[${PYTHON_USEDEP}]
+       >=dev-python/wsproto-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/zstandard-0.15.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       test? (
+               >=dev-python/click-7.0[${PYTHON_USEDEP}]
+               >=dev-python/hypothesis-6.104.2[${PYTHON_USEDEP}]
+               >=dev-python/pytest-asyncio-0.23.6[${PYTHON_USEDEP}]
+               >=dev-python/requests-2.9.1[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       # unpin dependencies
+       sed -i -r -e 's:,?<=?[0-9.]+,?::' pyproject.toml || die
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # TODO
+               test/mitmproxy/addons/test_termlog.py::test_cannot_print
+
+               # requires root?
+               test/mitmproxy/proxy/test_mode_servers.py::test_tun_mode
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p asyncio
+}

Reply via email to